Skip to content

Create Task recraft-ai/recraft-v3-svg

POST https://www.kkiai.com/replicate/v1/models/recraft-ai/recraft-v3-svg/predictions

Official documentation: https://replicate.com/recraft-ai/recraft-v3-svg

Request Parameters

Authorization

Add the Authorization parameter to the Header, with the value being the Token concatenated after Bearer

Example: Authorization: Bearer ********************

Header Parameters

ParameterTypeRequiredDescriptionExample
AuthorizationstringOptionalBearer {{YOUR_API_KEY}}

Body Parameters (application/json)

ParameterTypeRequiredDescription
inputobjectOptional
  └ sizestringOptionalThe width and height of the generated image. If aspect ratio is set, size is ignored. Default: "1024x1024"
  └ stylestringOptionalThe style of the generated image. Default: "any"
  └ promptstringRequiredText prompt for image generation.
  └ aspect_ratiostringOptionalThe aspect ratio of the generated image. Default: "Not set"

Request Example

json
{
    "input": {
      "size": "1024x1024",
      "style": "any",
      "prompt": "a portrait of a cute red panda using a laptop, the poster has the title \"Red panda is Recraft v3\", against a red background",
      "aspect_ratio": "Not set"
    }
  }

cURL Example

bash
curl --location --request POST 'https://www.kkiai.com/replicate/v1/models/recraft-ai/recraft-v3-svg/predictions' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "input": {
      "size": "1024x1024",
      "style": "any",
      "prompt": "a portrait of a cute red panda using a laptop, the poster has the title \"Red panda is Recraft v3\", against a red background",
      "aspect_ratio": "Not set"
    }
  }'

Response

🟢 200 Success

Response Body

ParameterTypeRequiredDescription
idstringRequired
modelstringRequired
versionstringRequired
inputobjectRequired
  └ aspect_ratiostringRequired
  └ input_imagestringRequired
  └ output_formatstringRequired
  └ promptstringRequired
  └ prompt_upsamplingbooleanRequired
  └ safety_toleranceintegerRequired
logsstringRequired
outputnullRequired
data_removedbooleanRequired
errornullRequired
statusstringRequired
created_atstringRequired
urlsobjectRequired
  └ cancelstringRequired
  └ getstringRequired
  └ streamstringRequired
  └ webstringRequired

Response Example

json
{
    "id": "21r1gkwrzxrme0crb42tx4qrem",
    "model": "recraft-ai/recraft-v3-svg",
    "version": "hidden",
    "input": {
        "aspect_ratio": "Not set",
        "prompt": "a portrait of a cute red panda using a laptop, the poster has the title \"Red panda is Recraft v3\", against a red background",
        "size": "1024x1024",
        "style": "any"
    },
    "logs": "",
    "output": null,
    "data_removed": false,
    "error": null,
    "status": "starting",
    "created_at": "2025-07-30T01:49:55.839Z",
    "urls": {
        "cancel": "https://api.replicate.com/v1/predictions/21r1gkwrzxrme0crb42tx4qrem/cancel",
        "get": "https://api.replicate.com/v1/predictions/21r1gkwrzxrme0crb42tx4qrem",
        "stream": "https://stream.replicate.com/v1/files/bcwr-7u7q63im74v2xjin5o7xj5prlfisac3m7ni22gh22jfejdfwi22q",
        "web": "https://replicate.com/p/21r1gkwrzxrme0crb42tx4qrem"
    }
}